## com.sleepycat.db
Class DbHandleExtractor

    java.lang.Object
      com.sleepycat.db.DbHandleExtractor

    public class DbHandleExtractor

extends Object

This class is a hack to workaround the need to rewrite the entire org.apache.lucene.store.db package after Sleepycat radically changed its Java API from version 4.2.52 to version 4.3.21. The code below extracts the package-accessible internal handle instances that were the entrypoint objects in the pre-4.3 Java API and that wrap the actual Berkeley DB C objects via SWIG.

Author:
  Andi Vajda

Method Summary
`static com.sleepycat.db.internal.Db` `getDb(Database database)`
`static com.sleepycat.db.internal.DbTxn` `getDbTxn(Transaction transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDb

    public static com.sleepycat.db.internal.Db getDb(Database database)

### getDbTxn

    public static com.sleepycat.db.internal.DbTxn getDbTxn(Transaction transaction)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.